namespace EDPlayerJournal.Entries; 
public class SearchAndRescueEntry : Entry {
    public long MarketID { get; set; }
    public string? Name { get; set; }
    public string? NameLocalised { get; set; }
    public long Count { get; set; }
    public long Reward { get; set; }

    protected override void Initialise() {
        MarketID = JSON.Value<long?>("MarketID") ?? 0;
        Name = JSON.Value<string>("Name") ?? "";
        NameLocalised = JSON.Value<string>("Name_Localised");
        Count = JSON.Value<long?>("Count") ?? 0;
        Reward = JSON.Value<long?>("Reward") ?? 0;
    }


}
